<header class="backoffice">
    <h2 class="content">Gestions des contenus</h2>
</header>

<div class="flex">
    <div class="container container-back" id="addArticleContainer">
    <h3>Ajouter un article</h3>
    <form class="flex" action="index.php?page=add_article" method="POST" enctype="multipart/form-data">

            <?php if (!empty($errors)) : ?>
            <div class="error" role="alert">
                <?php foreach ($errors as $error) : ?>
                    <?php echo $error; ?><br>
                <?php endforeach; ?>
            </div>
            <?php endif; ?>
            
        <div class="flex">        
            <label for="page-id">Sélectionner une page</label>
            <select id="pageId" name='page_id' placeholder="Sélectionner une page" required>
                <option selected>--Sélectionner dans la liste--</option>
                <?php foreach($allPages as $page) { ?>
                    <option value="<?= htmlspecialchars($page['id'], ENT_QUOTES); ?>" 
                        <?php if (isset($_POST['page_id']) && $_POST['page_id'] == $page['id']) { ?>
                            <?= 'selected'; ?>
                        <?php } ?>>
                        <?= htmlspecialchars($page['name'], ENT_QUOTES); ?>
                    </option>
                <?php } ?>  
            </select>
        </div>       
        
        <div class="flex">
            <label for="title">Titre</label>
            <input type="text" id="title" name="title" value="<?= isset($_POST['title']) ? htmlspecialchars($_POST['title'], ENT_QUOTES) : (isset($articleData['title']) ? htmlspecialchars($articleData['title'], ENT_QUOTES) : null); ?>" >
            <input type="hidden" id="articleId" name="article_id" value="<?= isset($articleData['id']) ? htmlspecialchars($articleData['id'], ENT_QUOTES) : null; ?>"> 
        </div>
                
        <div class="flex">
            <label for="content">Contenu</label>
            <textarea name="content" id="content"><?= isset($_POST['content']) ? htmlspecialchars($_POST['content'], ENT_QUOTES) : (isset($articleData['content']) ? htmlspecialchars($articleData['content'], ENT_QUOTES) : null);?></textarea>
        </div class="flex">
                
        <div class="flex">
            <label for="img">Télécharger une illustration (format jpg, png, gif)</label>
            <input type="file" id="img" name="img" accept = "image/*">
        </div>
        
        <div class="flex">
            <label for="ddl-img" id="imageLabel"></label>
            <img id="ddlImg" class="float" src="" alt="">
        </div>  
        
        <div>
            <input type="checkbox" id="keepImage" name="keep_image" value="on">
            <label for="keep-image">Conserver l'image</label>
        </div>  
                  
        <div class="flex">
            <label for="link-url">Lien vers une source extérieure</label>
            <input type="text" id="linkUrl" name="link_url" value="<?= isset($_POST['link_url']) ? htmlspecialchars($_POST['link_url'], ENT_QUOTES) : (isset($articleData['link_url']) ? htmlspecialchars($articleData['link_url'], ENT_QUOTES) : null); ?>">
        </div>
                
        <div class="flex">
            <label for="link-name">Nom du lien</label>
            <input type="text" id="linkName" name="link_name" value="<?= isset($_POST['link_name']) ? htmlspecialchars($_POST['link_name'], ENT_QUOTES) : (isset($articleData['link_name']) ? htmlspecialchars($articleData['link_name'], ENT_QUOTES) : null); ?>" >
        </div>
                
        <div>
            <input type="hidden" name="token" value="<?= isset($_SESSION['token']) ? $_SESSION['token'] : null; ?>">
            <input id="addArticleButton" class="btn" type="submit" value="Ajouter">
        </div>
    </form>
    
    <?php  if (isset($_SESSION['role']) && $_SESSION['role'] <= 1) { ?>
    <div class="flex block">
        <div>
        <h3>Ajouter une page</h3>
        </div>
        <form class="flex" action="index.php?page=add_page" method="POST">
        <div class="flex">
            <label for="name">Nom de la page</label>
            <input type="text" name="name" id="name" value="<?= isset($_POST['name']) ? htmlspecialchars($_POST['name'], ENT_QUOTES) : null; ?>">
        </div>
        <div>
            <input type="hidden" name="token" value="<?= isset($_SESSION['token']) ? $_SESSION['token'] : null; ?>">
            <input class="btn" type="submit" value="Ajouter">
        </div>
    </form>
    </div>
    <?php } ?>
    
    </div>
    
    <div class="container container-back">
        <h3> Liste des articles </h3>
            <table>
                <thead>
                    <tr>
                        <th>Id</th>
                        <th>Title</th>
                        <th>Page</th>
                        <th>Auteur</th>
                        <th>Date de création</th>
                        <!--<th>Date de modification</th>-->
                        <th>Action</th>
                    </tr>
                </thead>
                
                <tbody>
                        <?php foreach ($allArticles as $article) { ?>
                            <tr>
                                <td data-label="Id"><?= $article['id'] ?></td>
                                <td data-label="Titre"><?= isset($article['title']) ? htmlspecialchars($article['title'], ENT_QUOTES) : '-' ; ?></td>
                                <td data-label="Page"><?= isset($article['page']) ? htmlspecialchars($article['page'], ENT_QUOTES) : null; ?></td>
                                <td data-label="Auteur"><?= isset($article['author']) ? htmlspecialchars($article['author'], ENT_QUOTES) : null; ?></td>
                                <td data-label="Date de création"><?= $article['created_at']; ?></td>
                                <!--<td data-label="Date de modification"><?= isset($article['modified_on']) ? $article['modified_on'] : '-' ?></td>-->
                                <td>
                                    <a class="link action-article-btn" href="index.php?page=manage_articles" data-article-id="<?= $article['id'] ?>">Mettre à jour</a>
                                    <form class="delete-form" action="index.php?page=delete_article" method="POST" data-form-action="delete">
                                        <input type="hidden" name="article_delete" value="<?= $article['id'] ?>">
                                        <input type="hidden" name="token" value="<?= isset($_SESSION['token']) ? $_SESSION['token'] : null; ?>">
                                        <input class="link delete" type="submit" value="Supprimer">
                                    </form>
                                </td>
                            </tr>
                        <?php } ?>
                            <tr>
                                <td colspan="5"></td>
                                <td>
                                    <a class="link" href="https://marionpapanian.sites.3wa.io/sismalp/index.php?page=manage_articles">Réinitialiser le formulaire</a>
                                </td>
                            </tr>
                </tbody>
            </table>
    </div>
    
    <?php require "modal.html"; ?>
</div>
   
